#--------------------------------------------------------------------------
#   Copyright (c) 2019 Princeton Satellite Systems
#   All rights reserved.
#--------------------------------------------------------------------------

# As I found on 2019/07/10:
# MATLAB does not read HDF5 files created with HDF5 v1.10. You must convert
# them.
# You must install the HDF5 utils on your computer and run them on the
# LOCALLY SAVED HDF5 files. On a mac the installation went thus:
# brew install hdf5
# Then the conversion converts the file in-situ (does NOT make a new, 
# converted file while keeping the old one intact:
# h5format_convert [thefile].hdf5

# For safety's sake, this file only works if there's a directory in the 
# current directory called "CONVERTME"

find ./CONVERTME | grep hdf5 > FilesToConvert.txt
cat FilesToConvert.txt | xargs -L 1 h5format_convert -v